<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://www.phpfusion.com/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Gbook;
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once GBOOK_PATH."autoload.php";

class GbookAdmin extends GbookServer {
    private $allowed_section = ['publish', 'logs', 'settings'];

    public function __construct() {
        pageAccess("GBOK");
        parent::__construct();
        add_breadcrumb(['link' => INFUSIONS.'fh_guest_book/admin.php'.fusion_get_aidlink(), 'title' => self::$locale['GBOK_010']]);
    }

    public function display_admin() {
        add_to_title(self::$locale['GBOK_010']);
        opentable(self::$locale['GBOK_010']);

        $section = check_get('section') && in_array(get('section'), $this->allowed_section) ? get('section') : $this->allowed_section[0];

        $tab['title'][] = self::$locale['GBOK_100'];
        $tab['id'][]    = 'publish';
        $tab['icon'][]  = 'fa fa-fw fa-check';
        $tab['title'][] = self::$locale['GBOK_101'];
        $tab['id'][]    = 'logs';
        $tab['icon'][]  = 'fa fa-fw fa-wpforms';
        $tab['title'][] = self::$locale['GBOK_102'];
        $tab['id'][]    = 'settings';
        $tab['icon'][]  = 'fa fa-fw fa-cogs';

        echo opentab($tab, $section, "gbook_admin", TRUE, "", "section", ['action', 'gb_id', 'gl_id', 'del_id']);
        switch ($section) {
            case "logs":
                \PHPFusion\Gbook\GbookLog::getInstance()->displyLog();
                break;
            case "settings":
                \PHPFusion\Gbook\GbookSettings::getInstance()->settingsForm();
                break;
            default:
                \PHPFusion\Gbook\GbookPublis::getInstance()->display();
        }
        echo closetab();
        closetable();
    }
}
$vid = new GbookAdmin();
$vid->display_admin();

require_once THEMES."templates/footer.php";
