<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: autoloader.php
| Author: PHP-Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
spl_autoload_register(function ($className) {

    $autoload_register_paths = [
        'PHPFusion\\Gbook\\GbookSql'      => GBOOK_PATH."classes/sqlhelper.php",
        'PHPFusion\\Gbook\\GbookServer'   => GBOOK_PATH."classes/server.php",
        'PHPFusion\\Gbook\\GbookLib'      => GBOOK_PATH."classes/guestbook.php",
        'PHPFusion\\Gbook\\GbookSettings' => GBOOK_PATH."classes/admin_settings.php",
        'PHPFusion\\Gbook\\GbookLog'      => GBOOK_PATH."classes/admin_log.php",
        'PHPFusion\\Gbook\\GbookPublis'   => GBOOK_PATH."classes/admin_publish.php"
    ];

    if (isset($autoload_register_paths[$className])) {
        $fullPath = $autoload_register_paths[$className];
        if (is_file($fullPath)) {
            require $fullPath;
        }
    }
});