<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Load locale file
$locale = fusion_get_locale("", GBOOK_LOCALE);

// Infusion general information
$inf_title = $locale['GBOK_000'];
$inf_description = $locale['GBOK_001'];
$inf_version = "1.0.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "fh_guest_book";
$inf_image = "guestbook.svg";

$inf_newtable[] = DB_GUESTBOOK." (
    gb_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    gb_name VARCHAR(50) NOT NULL DEFAULT '',
    gb_email VARCHAR(100) NOT NULL DEFAULT '',
    gb_weburl VARCHAR(200) NOT NULL DEFAULT '',
    gb_webtitle VARCHAR(50) NOT NULL DEFAULT '',
    gb_message TEXT NOT NULL,
    gb_show SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
    gb_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
    gb_ip VARCHAR(45) NOT NULL DEFAULT '0.0.0.0',
    gb_language VARCHAR(50) NOT NULL DEFAULT '".LANGUAGE."',
PRIMARY KEY (gb_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_GB_LOG." (
    gl_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    gl_userid INT(11) UNSIGNED NOT NULL DEFAULT '0',
    gl_type VARCHAR(45) NOT NULL DEFAULT 'spam',
    gl_ip VARCHAR(45) NOT NULL DEFAULT '0.0.0.0',
    gl_name VARCHAR(45) NOT NULL DEFAULT '',
    gl_email VARCHAR(100) NOT NULL DEFAULT '',
    gl_url VARCHAR(200) NOT NULL DEFAULT '',
    gl_urltitle TEXT NOT NULL,
    gl_message TEXT NOT NULL,
    gl_datestamp INT(11) NOT NULL DEFAULT '0',
PRIMARY KEY (gl_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_GB_SETTINGS." (
    gs_id INT(1) UNSIGNED NOT NULL AUTO_INCREMENT,
    gs_moderated TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    gs_notify_kind VARCHAR(20) NOT NULL,
    gs_num INT(100) UNSIGNED NOT NULL DEFAULT '0',
    gs_email_required TINYINT(1) NOT NULL DEFAULT '0',
    gs_email_hidden TINYINT(1) NOT NULL DEFAULT '1',
    gs_flood_time INT(10) NOT NULL DEFAULT '0',
    gs_spam_words TEXT NOT NULL,
    gs_moderated_access TINYINT(4) NOT NULL DEFAULT '0',
PRIMARY KEY (gs_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_insertdbrow[] = DB_GB_SETTINGS." (gs_moderated, gs_notify_kind, gs_num, gs_email_required, gs_email_hidden, gs_flood_time, gs_spam_words, gs_moderated_access) VALUES
('1', '0', '20', '1', '1', '60', '', '".USER_LEVEL_SUPER_ADMIN."')";

$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "GBOK"
];
// Multilanguage links
$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS.$inf_folder.'/locale/'.$language.'/guestbook.php')) {
            include INFUSIONS.$inf_folder.'/locale/'.$language.'/guestbook.php';
        } else {
            include INFUSIONS.$inf_folder.'/locale/English/guestbook.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "GBOK",
            'image'    => $inf_image,
            'title'    => $locale['GBOK_002'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_insertdbrow[$language][] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('".$locale['GBOK_003']."', 'infusions/".$inf_folder."/guestbook.php', '0', '2', '0', '2', '1', '".$language."')";
        // Delete
        $mlt_deldbrow[$language][] = DB_GUESTBOOK." WHERE gb_language = '".$language."'";
        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'GBOK' AND admin_language = '".$language."'";
     }
} else {
     $inf_adminpanel[] = [
        "rights"   => "GBOK",
        "image"    => $inf_image,
        "title"    => $locale['GBOK_002'],
        "panel"    => "admin.php",
        "page"     => 5,
        'language' => LANGUAGE
     ];
     $inf_insertdbrow[] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES('".$locale['GBOK_003']."', 'infusions/".$inf_folder."/guestbook.php', '0', '2', '0', '2', '1', '".LANGUAGE."')";
}

// Uninstallation
$inf_droptable[] = DB_GUESTBOOK;
$inf_droptable[] = DB_GB_SETTINGS;
$inf_droptable[] = DB_GB_LOG;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'GBOK'";
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url = 'infusions/".$inf_folder."/guestbook.php'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'GBOK'";
