<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: search_videos_include.php
| Author: RobiNN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Search;

use PHPFusion\ImageRepo;

defined('IN_FUSION') || exit;

if (defined('FH_GUEST_BOOK_EXISTS')) {
    $formatted_result = '';
    $locale = fusion_get_locale('', INFUSIONS.'fh_guest_book/locale/'.LOCALESET.'search/guestbook.php');
    $item_count = '0 '.$locale['g400'].' '.$locale['522'];
    $date_search = (Search_Engine::get_param('datelimit') != 0 ? ' AND gb_datestamp>='.(time() - Search_Engine::get_param('datelimit')) : '');

    if (Search_Engine::get_param('stype') == 'guestbook' || Search_Engine::get_param('stype') == 'all') {
        $sort_by = [
            'datestamp' => 'gb_datestamp',
            'subject'   => 'gb_message',
            'author'    => 'gb_name',
        ];

        $order_by = [
            '0' => ' DESC',
            '1' => ' ASC',
        ];

        $sortby = !empty(Search_Engine::get_param('sort')) ? "ORDER BY ".$sort_by[Search_Engine::get_param('sort')].$order_by[Search_Engine::get_param('order')] : '';
        $limit = (Search_Engine::get_param('stype') != 'all' ? " LIMIT ".Search_Engine::get_param('rowstart').',10' : '');

        switch (Search_Engine::get_param('fields')) {
            case 2:
                Search_Engine::search_column('gb_message', 'guestbook');
                Search_Engine::search_column('gb_webtitle', 'guestbook');
                Search_Engine::search_column('gb_name', 'guestbook');
                break;
            case 1:
                Search_Engine::search_column('gb_webtitle', 'guestbook');
                Search_Engine::search_column('gb_message', 'guestbook');
                break;
            default:
                Search_Engine::search_column('gb_message', 'guestbook');
        }

        if (!empty(Search_Engine::get_param('search_param'))) {
            $query = "SELECT *
                FROM ".DB_GUESTBOOK."
                ".(multilang_table('GBOK') ? "WHERE ".in_group('gb_language', LANGUAGE)." AND " : "WHERE ")
                .Search_Engine::search_conditions('guestbook').$date_search;

            $result = dbquery($query." LIMIT 100", Search_Engine::get_param('search_param'));

            $rows = dbrows($result);
        } else {
            $rows = 0;
        }

        if ($rows != 0) {
            $item_count = '<a href="'.BASEDIR.'search.php?stype=guestbook&stext='.Search_Engine::get_param('stext').'&'.Search_Engine::get_param('composevars').'">'.$rows.' '.($rows == 1 ? $locale['g401'] : $locale['g402']).' '.$locale['522'].'</a><br/>';

            $result = dbquery("SELECT v.*, u.user_id, u.user_name, u.user_status, u.user_avatar, u.user_joined, u.user_level
                FROM ".DB_GUESTBOOK." v
                LEFT JOIN ".DB_USERS." u ON v.gb_name=u.user_id
                ".(multilang_table('GBOK') ? "WHERE ".in_group('v.gb_language', LANGUAGE)." AND " : "WHERE ")."
                ".Search_Engine::search_conditions('guestbook').$date_search.$sortby.$limit, Search_Engine::get_param('search_param'));

            $search_result = '';

            while ($data = dbarray($result)) {
                $text_all = $data['gb_message'];
                $text_all = Search_Engine::search_striphtmlbbcodes($text_all);
                $text_frag = Search_Engine::search_textfrag($text_all);

                $context = '';
                if ($text_frag != '') {
                    $context .= '<div class="quote" style="width: auto;height: auto;overflow: auto;">'.$text_frag.'</div><br/>';
                }

                $meta = '<span class="small2">'.$locale['global_070'].profile_link($data['user_id'], $data['user_name'], $data['user_status']);
                $meta .= ' | <span class="alt">'.$locale['g403'].'</span> '.showdate('%y.%m.%d', $data['gb_datestamp']).' | ';

                    $search_result .= render_search_item([
                        'item_url'             => GBOOK_PATH.'guestbook.php?gb_id='.$data['gb_id'].'&sref=search',
                        'item_image'           => '<i class="fa fa-play fa-lg"></i>',
                        'item_title'           => $data['gb_message'],
                        'item_description'     => $meta,
                    ]);
            }

                $formatted_result =render_search_item_wrapper([
                    'image'          => '<img src="'.ImageRepo::getimage('ac_VID').'" alt="'.$locale['g400'].'" style="width:32px;"/>',
                    'icon_class'     => 'fa fa-cloud-video fa-lg fa-fw',
                    'search_title'   => $locale['g400'],
                    'search_result'  => $item_count,
                    'search_content' => $search_result
                ]);
        }

        Search_Engine::search_navigation($rows);
        Search_Engine::search_globalarray($formatted_result);
        Search_Engine::append_item_count($item_count);
    }
}
